package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.NatGatewayDnatRuleModel;
import com.bocloud.cmp.model.NatGatewayModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;


public interface NatGatewayDnatRuleProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(NatGatewayDnatRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String natGatewayId, String dnanRuleId) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(String dnanRuleId) {
        return new BocloudResult(false, "need implement");
    }


    default BocloudResult modify(NatGatewayDnatRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default public BocloudResult detail(String forwardTableId, String uuid){ return new BocloudResult(false, "need implement"); }

}
